import React from 'react'
import styled from 'styled-components'
import Timeline from './components/Timeline'
import timeButtonArray from './core/TimeButtonArray'
import Modal from './components/Modal'
import Capa from './components/Capa'
import './core/css/App.scss'
import BackButton from './components/BackButton';
import Creditos from './components/Creditos';


const StyleDiv = styled.div`
    @media (min-width: 576px) {
        position: absolute;
        margin: auto;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        width: 1024px;
        height: 600px;
        background: #A9A9A9;
    
    }
`
const PrincipalDiv = styled.div`
    @media (min-width: 576px){
        background-color: #A9A9A9;
        width: 100%;
        height: 100%;
    }

`

export default class App extends React.Component{
    
    constructor(props) {
        super(props)
    
        this.state = {
             currentPage: "Capa"
        }
        
        this.setForApp = this.setForApp.bind(this)
        this.setForCape = this.setForCape.bind(this)
        this.setForCred = this.setForCred.bind(this)
    }
    
    renderCapaOrApp(){
        console.log("render")
        switch(this.state.currentPage){
            case "Capa":
                return <Capa callApp={this.setForApp} actionCredButton={()=>{this.setForCred()}}/>
            case "App":
                return <div id="app" className="d-flex justify-content-center">
                            <BackButton colorText={"black"} actionCapeButton={()=>{this.setForCape()}}/>
                            <Timeline timeButtonArray={timeButtonArray} />
                            <Modal/>
                       </div>
            case "Cred":
                return <Creditos actionCapeButton={()=>{this.setForCape()}}/>
            default:
                return <div>teste</div>
        }
    }

    setForApp(){
        this.setState({currentPage: "App"})
    }

    setForCape(){
        this.setState({currentPage: "Capa"})
    }

    setForCred(){
        this.setState({currentPage: "Cred"})
    }

    render(){
        return(
            <PrincipalDiv>
                <StyleDiv>
                    {this.renderCapaOrApp()}
                </StyleDiv>
            </PrincipalDiv>    
        )
    }
}