import React from 'react'
import styled from 'styled-components'
//
import CredButton from './CredButton'
//
import imgBG from '../core/media/imgs/estrutura/capa-fundo.png'
import imgIni from '../core/media/imgs/estrutura/btnIniciar.png'
import logo from '../core/media/imgs/estrutura/logo.png'


import $ from 'jquery'

const StyledDiv = styled.div`
    @media(max-width:575px){
        height:100vh;
        overflow-y:hidden;
        overflow-x: hidden;
    }
    @media(min-width:576px){
        width:100%;
        height:100%;
    }
    
    background-image: url(${imgBG});
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    background-position: center;
`

const TitleDiv = styled.div`
    
    h1{
        color: #FFF;
        font-size: 1.8em;
        width:100%;
        height:100%
    }
    width: 80%;
    @media (min-width: 576px) {
        width:80%;
        font-size: 1.7em;
        position: relative;
        top:-1rem;
    }
    @media (min-width: 768px) {
        width:80%;
        font-size: 1.7em;
        position: relative;
        top:-1rem;
    }
    

    @media (min-width: 992px) { 
        width:80%;
        font-size: 1.7em;
        position: relative;
        top:-1rem;
    }
`

const ButtonDiv = styled.div`
    cursor: pointer;
    position: relative;
    top:-0.5rem;
    width: 46%;
    img{
        width:100%;
        height: 100%;
    }
    
    @media (min-width: 576px) {
        width: 23%;
        position: relative;
        top:-1rem;
    }

    @media (min-width: 768px) {
        width: 23%;
        position: relative;
        top:-1rem;
    }
    
    @media (min-width: 992px) { 
        width: 23%;
        position: relative;
        top:-1rem;
    }
`
const Logo = styled.div`
    position: relative;
    bottom: 1%;
    left: 2%;
    width:69%;
    img{
        width:100%;
        height: 100%;
    }

    @media (min-width: 576px) {
        width:27%;
        position: relative;
        bottom: 4%;
        left: -1%;
    }
    
    @media (min-width: 768px) {
        width:29%;
        position: relative;
        bottom: 4%;
        left: -1%;
    }

    @media (min-width: 992px) {
        width:29%;
        position: relative;
        bottom: 4%;
        left: -1%;
    }
`

export default class Capa extends React.Component{
    
    componentDidMount(){
        
        $('#CapaButton').click(()=>{
            console.log("ciefoiwh")
            this.props.callApp()
        })
    }
    
    render(){
        return(
            <StyledDiv id="CapaId" className="d-flex flex-column justify-content-center align-items-center">
                <CredButton action={this.props.actionCredButton}/>
                <TitleDiv className="text-center mt-2 mb-2 mb-sm-3">
                    <h1>Linha do tempo dos Principais Acontecimentos Relacionados às Pessoas com Deficiência </h1>
                </TitleDiv>
                <ButtonDiv id="CapaButton" className="mt-3 mb-4">
                    <img src={imgIni}/>
                </ButtonDiv>
                <Logo className="align-self-sm-end ">
                    <img src={logo}/>
                </Logo>
            </StyledDiv>
        )
    }
}