import React from 'react'
import styled from 'styled-components'
//
import CreditosData from './CreditosData'
import BackButton from './BackButton'
//
import modalImg from '../core/media/imgs/estrutura/modal.png'
import imgBG from '../core/media/imgs/estrutura/capa-fundo.png'


const StyledDiv = styled.div`
    @media(max-width:575px){
        height:100vh;
        overflow-y:hidden;
        overflow-x: hidden;
    }
    @media(min-width:576px){
        width:100%;
        height:100%;
    }
    
    background-image: url(${imgBG});
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    background-position: center;
`

const MainDiv = styled.div`

    width: 85%;
    height: 58%;
    font-size: 1em;
    line-height:1.1;
    background-color: #FFF;
    border: 5px solid #9F3630;
    @media (min-width: 576px) {
        width:37%;
    }
    @media (min-width: 768px) {
        width:37%;
    }
    

    @media (min-width: 992px) { 
        width:37%;
    }
`
const TitleDiv = styled.div`
    
    h1{
        color: #FFF;
        font-size: 1.8em;
        width:100%;
        height:100%
    }
    width: 80%;
    @media (min-width: 576px) {
        width:80%;
        font-size: 1.7em;
        position: relative;
        top:-1rem;
    }
    @media (min-width: 768px) {
        width:80%;
        font-size: 1.7em;
        position: relative;
        top:-1rem;
    }
    

    @media (min-width: 992px) { 
        width:80%;
        font-size: 1.7em;
        position: relative;
        top:-1rem;
    }
`


export default class Creditos extends React.Component{


    render(){
        return(
            <StyledDiv id="CapaId" className="d-flex flex-column justify-content-center align-items-center">
                <BackButton actionCapeButton={this.props.actionCapeButton} />
                <TitleDiv className="text-center mt-2 mb-2 mb-sm-3">
                    <h1>Créditos</h1>
                </TitleDiv>
                <MainDiv id="modalContent" className="d-flex flex-column align-items-center">
                        <CreditosData/>
                </MainDiv>
            </StyledDiv>
        )
    }
}