import React from 'react'
import styled from 'styled-components'
import $ from 'jquery'

import arrowButton from '../core/media/imgs/estrutura/ArrowButton.png'
import line from '../core/media/imgs/estrutura/line.png'

const StyledRect = styled.div`
    background-image: url(${line});
    width:0.5rem;
    height: 3.2rem;
    margin-top: -10px;
    margin-bottom: -10px;
`

const StyledSpan = styled.span`
    img{
        width: 20% !important;
    }

    .invert-button{
        transform: scaleY(-1);
    }
`

const TimelineDiv = styled.div`
    ::-webkit-scrollbar { 
        display: none; 
    }
    overflow-y:scroll;
`

export default class Timeline extends React.Component{

    constructor(props){
        super(props)

        this.state = {
            timeButtonArray: this.props.timeButtonArray,
            visibleButtons: [0,1,2,3,4],
            curButton: 0
        }



    }

    componentDidMount(){
        var newArray = []
        for(let i = 0; i < this.state.timeButtonArray.length; i++){
            // console.log(i)
            let obj = {id: this.state.timeButtonArray[i].props.text, key: i}
            newArray.push(React.cloneElement(this.state.timeButtonArray[i], obj))

        }
        this.setState({timeButtonArray:newArray})
    }
    
    scrollDownButton(){
        var scrollIndex = $('#timelineDiv').scrollTop()
        $('#timelineDiv').scrollTop(scrollIndex+110);
    }

    scrollUpButton(){
        var scrollIndex = $('#timelineDiv').scrollTop()
        $('#timelineDiv').scrollTop(scrollIndex-110);
    }

    render(){
        return(
            <div className="d-flex flex-column align-items-center mt-3 mb-3">
                <StyledSpan id="arrowButtonUp" style={{opacity:0.5}} className ="mb-2 text-center"onClick={()=>{this.scrollUpButton()}}>
                    <img className="invert-button" src={arrowButton} alt=""/>
                </StyledSpan>
                    <TimelineDiv id="timelineDiv">
                        {this.state.timeButtonArray.map((value, index)=>{
                            return (<div key={index} className="d-flex flex-column align-items-center">{value}
                                {index!=(this.state.timeButtonArray.length-1)?<StyledRect/>:""}</div>)
                        })}
                    </TimelineDiv>
                <StyledSpan id="arrowButtonDown" className ="mt-3 mt-sm-2 text-center"onClick={()=>{this.scrollDownButton()}}>
                    <img src={arrowButton} alt=""/>
                </StyledSpan>
            </div>
        )
    }
}

/*
{this.state.timeButtonArray[this.state.visibleButtons[0]]}
                    <StyledRect/>                    
                    {this.state.timeButtonArray[this.state.visibleButtons[1]]}
                    <StyledRect/>
                    {this.state.timeButtonArray[this.state.visibleButtons[2]]}
                    <StyledRect/>
                    {this.state.timeButtonArray[this.state.visibleButtons[3]]}
                    <StyledRect/>
                    {this.state.timeButtonArray[this.state.visibleButtons[4]]}
*/